Summary:	Character set conversion library - MinGW32 cross version
Summary(pl.UTF-8):	Biblioteka konwersji zestawów znaków - wersja skrośna dla MinGW32
%define		realname   libiconv
Name:		crossmingw32-%{realname}
Version:	1.16
Release:	1
License:	LGPL v3+
Group:		Development/Libraries
Source0:	https://ftp.gnu.org/gnu/libiconv/%{realname}-%{version}.tar.gz
# Source0-md5:	7d2a800b952942bb2880efb00cfd524c
Patch0:		%{realname}-win32.patch
URL:		http://www.gnu.org/software/libiconv/
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
# because of broken w32 relink in libtool
BuildConflicts:	crossmingw32-libiconv < 1.10
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform		i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*
%define		filterout_cxx	-f[-a-z0-9=]*

%description
The libiconv library provides an iconv() implementation, for use on
systems which don't have one, or whose implementation cannot convert
from/to Unicode.

This package contains the cross version for MinGW32.

%description -l pl.UTF-8
Ta biblioteka dostarcza implementację iconv() do używania z systemami,
które takiej funkcji nie posiadają, lub na których implementacja nie
potrafi konwertować z/do Unikodu.

Ten pakiet zawiera wersję skrośną dla MinGW32.

%package static
Summary:	Static iconv libraries (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczne biblioteki iconv (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static iconv libraries (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczne biblioteki iconv (wersja skrośna MinGW32).

%package dll
Summary:	DLL iconv libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL iconv dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
DLL iconv libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL iconv dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub libcharset/build-aux
cp -f /usr/share/automake/config.sub build-aux
%configure \
	--target="%{target}" \
	--host="%{target}" \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_dlldir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

# runtime only
%{__rm} $RPM_BUILD_ROOT%{_bindir}/iconv.exe
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{doc,locale,man}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/libcharset.dll.a
%{_libdir}/libiconv.dll.a
%{_libdir}/libcharset.la
%{_libdir}/libiconv.la
%{_includedir}/iconv.h
%{_includedir}/libcharset.h
%{_includedir}/localcharset.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libcharset.a
%{_libdir}/libiconv.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libcharset-*.dll
%{_dlldir}/libiconv-*.dll
%changelog
* Sat Apr 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-libiconv.git;a=log;h=master

* Sat Apr 27 2019 Jakub Bogusz <qboosh@pld-linux.org> d315acc
- updated to 1.16
- added win32 patch (some constants need both winsock2.h and winerror.h)

* Sun Feb 05 2017 Jakub Bogusz <qboosh@pld-linux.org> fe24f88
- updated to 1.15

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 70076f4
- filer out compiler options not supported by mingw
- rel 3

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 65b45c3
- x32 rebuild
- release 2 (by relup.sh)

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 65d488d
- updated to 1.14

* Sat Feb 19 2011 Artur Frysiak <artur@frysiak.net> e3af5f5
- reverted previous bogus change (too old gcc)

* Sat Feb 19 2011 Artur Frysiak <artur@frysiak.net> 47cfbc1
- filter out some compiler and linker flags

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 7db43de
- unified MinGW32 caps

* Wed Oct 28 2009 Jakub Bogusz <qboosh@pld-linux.org> 649862b
- updated to 1.13.1

* Sat Apr 11 2009 Jakub Bogusz <qboosh@pld-linux.org> 3b5ca68
- updated to 1.13

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> d642e56
- force %{_lib}-independent libdir

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 057472c
- updated to 1.12
- removed obsolete patch

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 148fcfe
- no longer needed

* Tue Mar 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 2e54175
- no private gcc dirs used here

* Mon Mar 05 2007 Jakub Bogusz <qboosh@pld-linux.org> bdbdd5a
- cleanup, separated -static

* Sun Feb 25 2007 czarny <czarny@pld-linux.org> c28ed47
- proper cross handling

* Tue Feb 20 2007 czarny <czarny@pld-linux.org> 4bed20c
- clean up
- dlls added

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 83f8bd6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 46dadd2
- converted to UTF-8

* Sat Jul 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 20246eb
- updated to 1.11

